# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetFunctionsResp

Packages that use TGetFunctionsResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetFunctionsResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetFunctionsResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetFunctions_call`
`static class`
`TCLIService.AsyncProcessor.GetFunctions<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetFunctionsResp
Modifier and Type
Class
Description
`class`
`TGetFunctionsResp`
`class`
`TGetFunctionsResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetFunctionsResp
Modifier and Type
Field
Description
`TGetFunctionsResp`
TCLIService.GetFunctions_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetFunctionsResp
Modifier and Type
Method
Description
`TGetFunctionsResp`
TGetFunctionsResp.`deepCopy()`
`TGetFunctionsResp`
TCLIService.Client.`GetFunctions(TGetFunctionsReq req)`
`TGetFunctionsResp`
TCLIService.Iface.`GetFunctions(TGetFunctionsReq req)`
`TGetFunctionsResp`
TCLIService.AsyncClient.GetFunctions_call.`getResult()`
`TGetFunctionsResp`
TCLIService.GetFunctions_result.`getSuccess()`
`TGetFunctionsResp`
TCLIService.Client.`recv_GetFunctions()`
`TGetFunctionsResp`
TGetFunctionsResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetFunctionsResp`
TGetFunctionsResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetFunctionsResp`
TGetFunctionsResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetFunctionsResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp>`
TCLIService.AsyncProcessor.GetFunctions.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetFunctionsResp
Modifier and Type
Method
Description
`int`
TGetFunctionsResp.`compareTo(TGetFunctionsResp other)`
`boolean`
TGetFunctionsResp.`equals(TGetFunctionsResp that)`
`TCLIService.GetFunctions_result`
TCLIService.GetFunctions_result.`setSuccess(TGetFunctionsResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetFunctionsResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetFunctions(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetFunctions(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetFunctions.`start(I iface, TCLIService.GetFunctions_args args, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetFunctionsResp
Modifier
Constructor
Description
``
`GetFunctions_result(TGetFunctionsResp success)`
``
`TGetFunctionsResp(TGetFunctionsResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetFunctionsResp
Modifier
Constructor
Description
``
`GetFunctions_call(TGetFunctionsReq req, org.apache.thrift.async.AsyncMethodCallback<TGetFunctionsResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`